Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jun 2022 08:55:15 +0300

> From: Po Lu <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 12 Jun 2022 09:34:39 +0800
> 
> >     configure: WARNING: This configuration uses libXft, which has a number of
> >         font rendering issues, and is being considered for removal in the
> >         next release of Emacs.  Please consider using Cairo graphics +
> >         HarfBuzz text shaping instead (they are auto-detected if the
> >         relevant development headers are installed).
> 
> We will not remove the Xft font backend as long as I'm still using it,
> which will be quite a while.

That might be so, but libXft does have a number of grave issues that
aren't being fixed, so if you use that, you are at their mercy.  You
HAVE been warned!